Subject: [Ietf-not43] l10n/i18n issues

From: [email-masked] (Hollenbeck, Scott)
Date: Thu, 6 Feb 2003 07:15:19 -0500

> on 2/5/2003 6:17 PM Hollenbeck, Scott wrote:
> 
> > We're allowing clients to specify one or two name/address forms: a 
> > "localized" form (which can contain any UTF-8 characters that make
> > sense in the local policy context) and an "internationalized" form
> > (that can contain only the subset of UTF-8 that can be 
> represented in
> > ASCII in the hope of it being internationally readable). One or the
> > other or both can be provided.
> 
> When you say "clients" do you mean the typical client-side protocol
> agents, or do you mean something else? If protocol agents, 
> then doesn't
> this model inherit the worst of both models, in that it 
> duplicates entry
> management and also complicates protocol overhead?

"Client" means client-side protocol agent acting on behalf of some human
data originator.  Given that there are humans with two-sided business cards
with information printed using a different character set on each side of the
card, we felt it important to offer the same functionality when provisioning
human contact information.  Since XML supports UTF-8 and both forms can be
cleanly represented in UTF-8 the only additional complexity or overhead is
in managing a maximum of two element sequences instead of just one.

> Can I get a pointer to the section of the draft[s] that describes the
> model so I can read up on it?

http://www.ietf.org/internet-drafts/draft-ietf-provreg-epp-contact-06.txt

Section 3.1.2 and 3.2.1.

-Scott-